## ros-melodic-cpu-temperature-diagnostics 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(cpu_temperature_diagnostics)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_library(REQUIRED libsensors)
find_package(catkin REQUIRED COMPONENTS diagnostic_updater roscpp)

catkin_package(INCLUDE_DIRS include CATKIN_DEPENDS roscpp)

# ##############################################################################
# Build ##
# ##############################################################################

add_executable(
  ${PROJECT_NAME}_node
  src/main.cc src/sensor_chip.cc src/temperature_feature.cc
  src/cpu_temperature_diagnostic.cc)

target_include_directories(${PROJECT_NAME}_node PRIVATE include)

target_include_directories(${PROJECT_NAME}_node SYSTEM
                           PRIVATE ${catkin_INCLUDE_DIRS})

target_compile_options(${PROJECT_NAME}_node PRIVATE -Wall -Wextra -pedantic
                                                    -Werror)

target_link_libraries(${PROJECT_NAME}_node ${catkin_LIBRARIES} sensors)

# ##############################################################################
# Install ##
# ##############################################################################
install(TARGETS ${PROJECT_NAME}_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-melodic-cpu-temperature-diagnostics (0.0.1-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Thomas Kostas <thomas.kostas@ascent.ai>  Sun, 03 Oct 2021 10:05:07 -0000

=== debian/control ===
Source: ros-melodic-cpu-temperature-diagnostics
Section: misc
Priority: optional
Maintainer: Thomas Kostas <thomas.kostas@ascent.ai>
Build-Depends: debhelper (>= 9.0.0), libsensors4-dev, ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-cpu-temperature-diagnostics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsensors4-dev, ros-melodic-diagnostic-updater, ros-melodic-roscpp
Description: Collect and diagnose cpu temperature informations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cpu-temperature-diagnostics//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
